How the plugin supports the Community Edition?

已回答

I have a plugin that only supports IntelliJ IDEA Ultimate because it uses the Databasetools plugin. but now I want it to support the community edition. May I know how can I do that? Do I need to upload another version of the plugin for supporting community edition?

0

Hi,

You can define the dependency on the Database Tools and SQL plugin as optional: https://plugins.jetbrains.com/docs/intellij/plugin-dependencies.html#optional-plugin-dependencies. Extensions and other components defined in the “database” plugin.xml will be loaded only if this plugin is present in the IDE. You don't have to upload a separate version.

0

请先登录再写评论。